<template>
	<view>
		<view class="content">
			<ren-calendar ref='ren' :markDays='markDays' :headerBar='true' :open="false"
				@onDayClick='onDayClick'></ren-calendar>
		</view>
		
		<u-list @scrolltolower="scrolltolower">
			<u-list-item v-for="(item, index) in 4" :key="index">
				<view class="item">
					<view>
						<view>用户推广奖励</view>
						<view>2024-6-7 02:00</view>
					</view>
					<view>
						<view>+5.00</view>
						<view></view>
					</view>
				</view>
			</u-list-item>
		</u-list>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				indexList: [],
				markDays: [],
				curDate:""
			}
		},
		onLoad() {
			this.loadmore()
		},
		methods: {
			onDayClick(data) {
				console.log(data.date)
				this.curDate = data.date;
				// this.getMerchantList()
			},
			scrolltolower() {
				this.loadmore()
			},
			loadmore() {
				for (let i = 0; i < 30; i++) {
					this.indexList.push({
						url: this.urls[uni.$u.random(0, this.urls.length - 1)]
					})
				}
			}
		}
	}
</script>

<style  lang="scss" scoped>
	.content{
		margin-bottom: 20rpx;
	}
	.item{
		margin-top: 20rpx;
		background-color: #fff;
		border-radius: 10rpx;
		padding: 20rpx;
		box-shadow: 0 8rpx 15rpx 0 rgba(0, 0, 0, 0.08);
		display: flex;
		justify-content: space-between;
		// align-items: center;
	}

</style>